<?php

function review_insert($review) {
	global $db;
	
	$keys = array_keys($review);
	foreach ($keys as $key) {
		$review[$key] = $db->real_escape_string($review[$key]);
	}
		
	$sql = "insert into reviews(";
	$sql .= implode(array_keys($review), ",");
	$sql .= ") values('";
	$sql .= implode(array_values($review), "','");
	$sql .= "')";
	
	$result = $db->query($sql);	

}

function review_find_all_for($mykey) {
	global $db;
	return $db->query("select * from reviews where mykey = '$mykey' and approved = true order by review_date desc");
}

function review_count_unapproved() {
	global $db;
	
	$result = $db->query("select count(*) as total_hits from reviews where approved = 'false'");
	$row = $result->fetch_array();
	return $row['total_hits'];	
}

function review_find_all_unapproved() {
	global $db;
	return $db->query("select r.name as reviewer_name, r.comment, p.mykey, p.name, p.deep_link, r.id as review_id from reviews r inner join products p on r.mykey = p.mykey where r.approved = false");
}

function review_delete($review_id) {
	global $db;
	return $db->query("delete from reviews where id = '$review_id'");
}

function review_approve($review_id) {
	global $db;
	return $db->query("update reviews set approved = true where id = '$review_id'");
}
?>