<?php
function check_cache($cachefile, $cachetime, $filetype = 'html') {
	global $CACHE_FOLDER;
	
	// Serve from the cache if it is younger than $cachetime
	$cachefile = "$CACHE_FOLDER/$cachefile";

	if (file_exists($cachefile) && (time() - $cachetime < filemtime($cachefile)))  {		
		
		//include("$cachefile");
		
		$data = file_get_contents($cachefile);
		
		if ($filetype == 'html') {
   		$data .= "<!-- Cached ".date('jS F Y H:i', filemtime($cachefile))." -->\n";			
		}
		
		echo $data;
		exit;
	}

	ob_start();
}

function write_to_cache($cachefile) {
	global $CACHE_FOLDER;
				
	$cachefile = "$CACHE_FOLDER/$cachefile";
				
	// open the cache file for writing
	$fp = fopen("$cachefile", 'w'); 
	
	// save the contents of output buffer to the file
	fwrite($fp, ob_get_contents()); 
	// close the file
	fclose($fp); 
	// Send the output to the browser
	ob_end_flush(); 
}
?>