<?php
require_once 'admin/models/category_m.inc';

$errorMsg = '';

if ($_GET['catid']) {
	// handle custom categories
	
	$catid = urldecode($_GET['catid']);
		
	$selected_category = category_find($catid);
	$catid = $selected_category['id'];	
	$category_display_name = $selected_category['name'];
	
	if (! isset($catid)) {
		$errorMsg = "Category not found. Code : CI1";
	} elseif ($selected_category['cat_type'] == 'manual') {
		$sql = "select p.*, m.*, d.*, cp.* from category_product cp, datafeeds d, products as p left outer join meta as m on p.mykey = m.mykey where cp.mykey = p.mykey and p.datafeed_id = d.id and cp.category_id = {$selected_category['id']}";

		$pagination_sql = str_replace('select p.*, m.*, d.*, cp.* from category_product', 'select count(*) from category_product', strtolower($sql));
	} elseif ($selected_category['cat_type'] == 'dynamic') {
		$sql = stripslashes($selected_category['sql_code']);		
		$pagination_sql = str_replace('select p.*, m.*, d.* from', 'select count(*) from', strtolower($sql));
	}	elseif ($selected_category['cat_type'] == 'auto') {
		
		if ($selected_category['parent_category_id']) {
			$sql = "select * from products where sub_category_id = {$selected_category['id']}";			
		} else {
			$sql = "select * from products where category_id = {$selected_category['id']}";
		}

		$pagination_sql = str_replace('select * from', 'select count(*) from', strtolower($sql));
	} else {
			$errorMsg = "Unknown category type. Code : CI2";
	}

} else {	
	// handle product categories
	$category = $_GET['category'];
	$category = urldecode($category);
	$category = stripslashes($category);	

	$category_display_name = $category;
	$category = $db->real_escape_string($category);
	
	$sql = "select p.*, m.* from products as p left outer join meta as m on p.mykey = m.mykey where p.category = '$category'";

	if ($DATAFEED_IDS != "") {
		$sql .= " and datafeed_id in ($DATAFEED_IDS)";
	}	

	$pagination_sql = str_replace('select p.*, m.* from products', 'select count(*) from products', strtolower($sql));
}

if (empty($errorMsg)) {
	// convert legacy SQL
	if (str_startswith(strtolower($sql), 'select * from products where')) {
		$pagination_sql = str_replace('select * from products', 'select count(*) from products', strtolower($sql));
	}

	list($limit, $lastpage) = get_pagination_values($pagination_sql, $_GET['pageno']);
}
?>