<?php

$_GET['q'] = strip_tags($_GET['q']);
$_GET['q'] = htmlspecialchars($_GET['q']);

$query = $db->real_escape_string($_GET['q']);
$name_clause = get_name_clause($query);
$sql_criteria = "from datafeeds as d, products as p left outer join meta as m on p.mykey = m.mykey where p.datafeed_id = d.id and  $name_clause";


//"select p.*, m.*, d.* from datafeeds as d, products as p left outer join meta as m on p.mykey = m.mykey where p.datafeed_id = d.id"

if ($DATAFEED_IDS != "") {
	$sql_criteria .= " and p.datafeed_id in ($DATAFEED_IDS)";
}

if ($EXCLUDED_CATEGORY_NAMES != "") {
	$sql_criteria .= " and p.category not in ($EXCLUDED_CATEGORY_NAMES)";
}

if (($_GET['order'] == 'asc') || ($_GET['order'] == 'desc')) {
	$sql_criteria .= " order by p.display_price {$_GET['order']}, p.merchant_name";	
} else {
	$sql_criteria .= " order by p.display_price desc, p.merchant_name";	
}

list($limit_clause, $lastpage) = get_pagination_values("select count(*) $sql_criteria", $_GET['pageno']);

$sql_criteria = "select p.*, m.*, d.* " . $sql_criteria;
?>