<?php
require('../includes/config.inc');
require('../includes/common.inc');
require('../../lib/database.inc');
require('../includes/amazon.inc');
require('../models/product_m.inc');
require('../models/datafeed_m.inc');
require('../models/amazon_m.inc');

$config = $API['AMA'];		
$network_class_file = "../models/api/" . $config['filename'] . ".class.php";
require_once($network_class_file);
$network_class_name = $config['classname'];
$network = new $network_class_name($config);

$amazon_result = amazon_find_all();

for ($i = 0; $i < $amazon_result->num_rows; $i++) {

	$amazon_product = $amazon_result->fetch_array();
	print "Updating {$amazon_product['asin']} to a DS V3 API Product\n";
	
	$options = array();
	$options['product_key'] = $amazon_product['asin'];
	$ds_product = $network->getProduct($options);
	$ds_product['autoslug'] = slug($ds_product['name']);
	
	if ($ds_product['name']) {
		product_insert($ds_product);
	}
}

?>