$(function() {

	$('#siteTypeCtl').selectChain({
	    target: $('#themeCtl'),
	    url: 'get_themes.php',
			data: { site_type: this }
	});
	
});

function showExportOptions() {
	$('#themeRow').hide();
	$('#clickRefRow').hide();
	$('#siteURLHeadingText').html('XML-RPC URL of site<span class="tabletip">The XMLRPC Endpoint URL for the site.</span>');
	$('#siteURLMainText').html(' e.g. <b>http://example.com/xmlrpc.php</b> for a Wordpress site. <br/>Make sure you have enabled XMLRPC access on the target site.');	
	$('#exportUsername').show();
	$('#exportPassword').show();
	$('#exportUpdateExisting').show();
	$('#clientIP').hide();	
}

function showClientOptions() {
	$('#themeRow').hide();
	$('#clickRefRow').hide();
	$('#siteURLHeadingText').html('URL of client<span class="tabletip">The URL of the client that will access the API of this installation</span>');
	$('#siteURLMainText').html('e.g. the URL of a site using the Datafeed Studio Wordpress plugin.');	
	$('#exportUsername').hide();
	$('#exportPassword').hide();
	$('#exportUpdateExisting').hide();
	$('#clientIP').show();
}

function showNormalSiteOptions() {
	$('#themeRow').show();
	$('#clickRefRow').show();
	$('#siteURLHeadingText').html('Site URL <span class="tabletip">The URL for the site (must have a copy of this software installed)</span>');
	$('#siteURLMainText').html('include <b>http://</b> and trailing slash, e.g. <b>http://example.com/</b>');	
	$('#exportUsername').hide();
	$('#exportPassword').hide();
	$('#exportUpdateExisting').hide();
	$('#clientIP').hide();	
}

$(document).ready(function(){
 	
	$('#siteTypeCtl').change(function() {
	  if ($(this).val() == 'export') {
			showExportOptions();
		} else if ($(this).val() == 'client') {
			showClientOptions();			
		} else {
			showNormalSiteOptions();
		}
	});

	if ($('#siteTypeCtl').val() == 'export') {
		showExportOptions();
	} else if ($('#siteTypeCtl').val() == 'client') {
		showClientOptions();
	} else {
		showNormalSiteOptions();
	}
});
