<?php

define('CATEGORY', 0);
define('SUB_CATEGORY', 1);

function category_match_insert($category_match) {
	global $db;

	$keys = array_keys($category_match);
	foreach ($keys as $key) {
		$category_match[$key] = $db->real_escape_string($category_match[$key]);
	}
	
	$sql = "insert into category_matches(";
	$sql .= implode(array_keys($category_match), ",");
	$sql .= ") values('";
	$sql .= implode(array_values($category_match), "','");
	$sql .= "')";
	
	$result = $db->query($sql);		
	return $db->insert_id;
}


function category_match_update($category_match) {	
	global $db;
	
	$sql = "update category_matches set ";
	foreach ($category_match as $key => $value) {
		if ($key != 'id') {
			$sql = $sql .= "$key = '$value', ";
		}
	}

	$sql = substr($sql, 0, -2);
	$sql .= " where id = {$category_match['id']}";
	$result = $db->query($sql);	
}

function category_match_find($id) {
	global $db;
	$query = "select * from category_matches where id = $id";
	$result = $db->query($query);
	return $result->fetch_array();
}

function category_match_findby_category_id($id) {
	global $db;
	$query = "select * from category_matches where category_id = $id order by match_content";
	return $db->query($query);
}

function category_match_find_all($category_type) {
	global $db;
	$query = "select * from category_matches where category_type = " . $category_type;
	return $db->query($query);
}

function category_match_delete($id) {
	global $db;	
	$query = "delete from category_matches where id = $id";
	$db->query($query);
}

function category_match_delete_for_category_id($id) {
	global $db;	
	$query = "delete from category_matches where category_id = $id";
	$db->query($query);
}


?>
