<?php

function find_country_codes_as_kv($iso3 = false) {
	global $db;
	
	if ($iso3) {
		$column = 'iso3';
	} else {
		$column = 'iso';
	}
	
	$query = "select  * from country order by printable_name";
	$result = $db->query($query);
	
	$codes = array();
	while ($row = $result->fetch_array()) {
		$codes[$row[$column]] = $row['printable_name'];
	}

	return $codes;
}

function currency_code_find_symbol($code) {
	global $db;
	
	//echo("CCFS:Code = $code<br/>");
	
	$query = "select currency_symbol from country where iso3 = '$code' limit 1";
	$result = $db->query($query);
	$country = $result->fetch_array();
	return $country['currency_symbol'];
}

function find_country_by_code($code) {
	global $db;
		
	$query = "select * from country where iso = '$code' limit 1";
	$result = $db->query($query);
	$country = $result->fetch_array();
	return $country;
}

function find_country_by_currency_code($currency_code) {
	global $db;
		
	$query = "select * from country where currency_code = '$currency_code' limit 1";
//	echo $query;
	$result = $db->query($query);
	$country = $result->fetch_array();
	return $country;	
}

function countries_find_all() {
	global $db;
	$query = "select * from country order by printable_name";
	return $db->query($query);
}

function country_update($country) {
	global $db;
	
	$sql = "update country set ";
	foreach ($country as $key => $value) {
		if ($key != 'iso') {
			$sql = $sql .= "$key = '$value', ";
		}
	}

	$sql = substr($sql, 0, -2);
	$sql .= " where iso = '{$country['iso']}' limit 1";
	
	$result = $db->query($sql);	
}

?>