<?php

function custom_fields_delete($mykey) {
	global $db;
	$query = "delete from custom_fields where mykey = '$mykey'";
	$db->query($query);
}

function custom_fields_insert($mykey, $name, $value) {
	global $db;
	
	$statement = $db->prepare("insert into custom_fields(mykey, name, value) values(?, ?, ?)");
	$statement->bind_param('sss', $mykey, $name, $value);
	$result = $statement->execute();
	$statement->close();
	return $db->insert_id;
}

function find_custom_field_names() {
	global $db;
	$query = 'select distinct name from custom_fields order by name asc';
	$result = $db->query($query);

	$names = array();
	while ($row = $result->fetch_array()) {
		$names[] = $row['name'];
	}
	
	return $names;
}

function find_custom_fields($mykey) {
	global $db;
	$query = "select  id, name, value from custom_fields where mykey = '$mykey' order by name asc";
	$result = $db->query($query);
	
	$fields = array();
	while ($field = $result->fetch_array()) {
		$fields[]= $field;
	}
	
	return $fields;
}
?>