<?php

function product_find_matching($query) {
	global $db;
	$query = "select * from products where name like '%$query%' order by merchant_name";
	return $db->query($query);
}

function product_findby_sql($sql) {
	global $db;
	return $db->query($sql);
}

function product_find($mykey) {
	global $db;
	
	if (! preg_match('/_/', $mykey)) {
		$query = "select mykey from meta where slug = '$mykey'";
		$result = $db->query($query);
		$meta = $result->fetch_array();	
		$mykey = $meta['mykey'];	
	}

	$query = "select * from products where mykey = '$mykey'";
	$result = $db->query($query);
	return $result->fetch_array();	
}

function product_insert($product, $tempMode = false) {
	global $db;
	
	unset($product['currency_prefix']);
	
	if ($tempMode) {
		$tableName = "temp_products";
	} else {
		$tableName = "products";
		$query = "delete from products where mykey = '{$product['mykey']}'";
		$db->query($query);			
	}
		
	$keys = array_keys($product);
	foreach ($keys as $key) {
		$product[$key] = $db->real_escape_string($product[$key]);
	}
			
	$sql = "insert into $tableName(";
	$sql .= implode(array_keys($product), ",");
	$sql .= ") values('";
	$sql .= implode(array_values($product), "','");
	$sql .= "')";
	
	$result = $db->query($sql);
	
	if ($result != 1) {
		//echo("\nSQL:\n$sql\n: ");
		print "ERROR CODE  '" . $db->mysqli_errno . '- ' . $db->mysqli_error  . "': Inserting {$product['mykey']} - name : {$product['name']}\n";
	}
	
	return $result;
}

function products_delete_earlier_than($datafeed_id, $time) {
	global $db;
	$mysqldate = date('Y-m-d H:i:s', $time);
	$query = "delete from products where datafeed_id = $datafeed_id and created_at < '$mysqldate'";
	$result = $db->query($query);	
}

function product_find_count() {
	global $db;

	$result = $db->query("select count(*) as total_hits from products");
	$row = $result->fetch_array();
	return $row['total_hits'];	
}

function product_find_random($num_rows) {
	global $db;
	
	$sql = "SELECT * FROM products AS r1 JOIN (SELECT ROUND(   RAND( ) * (     SELECT MAX( id ) FROM products)   ) AS id ) AS r2 WHERE r1.id >= r2.id ORDER BY r1.id ASC LIMIT $num_rows";

	return $db->query($sql);
	
}

function product_find_ws() {
	global $db;
	$query = "select * from products where ws_api_key is not null order by id asc";
	return $db->query($query);
}

function product_find_ws_total() {
	global $db;
	$query = "select count(*) as total_hits from products where ws_api_key is not null";
	$result = $db->query($query);
	$row = $result->fetch_array();
	return $row['total_hits'];	
}

function product_delete($mykey) {
	global $db;
	$query = "delete from products where mykey = '$mykey'";
	return $db->query($query);
}

function product_key_exists($product_key, $merchant_name) {
	global $db;
	
	$merchant_sql = "select id from datafeeds where merchant_name = '$merchant_name' and feed_type != 'webservice' limit 1";
	//echo("merchant_sql = $merchant_sql<br/>");
	$result = $db->query($merchant_sql);
	$merchant_row = $result->fetch_array();
	$datafeed_id = $merchant_row['id'];	
	
	if ($datafeed_id) {
		$sql = "select count(*) as total_hits from products where mykey = '{$datafeed_id}_{$product_key}'";
		//echo("sql = $sql<br/>");
		$result = $db->query($sql);
		$row = $result->fetch_array();
		return $row['total_hits'];			
	} else {
		//echo("no datafeed_id<br/>");
		return false;
	}
	
}

function product_increment_api_failure($mykey) {
	global $db;
	
	$sql = "update products set api_refresh_failures = (api_refresh_failures + 1) where mykey = '$mykey' limit 1";
	return $db->query($sql);
}

?>
